#include<bits/stdc++.h>
using namespace std;

void uporedi(string &a, string &b){
    int x=a.length();
    int y=b.length();
    string res={};
    int i=x-1, j=y-1;

    int m=min(x, y);
    while(m>=0){
        
        if(a[i]>b[j]){
            res+=a[i];
            i--; j--;  }

        if(a[i]<b[j]){
            res+=b[j];
            i--; j--;  }

        if(a[i]==b[j]){
            res+=a[i];
            res+=b[j];
            i--; j--;  }
        
         m--;   }
        
    for (int ind = res.size(); ind >= 0; ind--){
        cout<<res[ind]; }
    
}

int main(){
    string a;
    string b;
    cin>>a>>b;
    uporedi(a, b);

    return 0;   }